#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main() {
	
	char str[80];
	FILE *fp;
	int linha = 1;

	// Abre arquivo no modo leitura - não apaga o conteúdo do arquivo
	fp = fopen("ler.txt", "r");

	// Abertura do arquivo não foi bem-sucedida
	if(fp == NULL) {
		printf("\nProblemas ao tentar abrir arquivo!\n");
		exit(1);
	}
	// Abertura do arquivo foi bem-sucedida
	else {
		// Captura linha digitada
		printf("\n<LENDO CONTEÚDO DO ARQUIVO>\n");
		while(fgets(str, 80 ,fp) != NULL) {
			printf("Linha(%i) - %s", linha, str);
			linha ++;
		}
	}

	close(fp);
	printf("\n\n");
	return 0;
}

/*
	NOVAS FUNÇÕES - fgets()
	
	-> Utilizado para ler uma string de um arquivo específico
	
	Protótipo:	char *fgets(char *str, int tamanho, FILE *fp);

	-> Encontra-se na biblioteca <stdio.h>, lê uma stream especificada até que
	um caracter de nova linha seja lido ou que "tamanho-1" caracteres tenham
	sido lidos.

*/

