#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main() {
	
	char str[80];
	FILE *fp;
	int linha = 1;

	// Abre arquivo no modo leitura - não apaga o conteúdo do arquivo
	fp = fopen("alunos.txt", "r");

	// Abertura do arquivo não foi bem-sucedida
	if(fp == NULL) {
		printf("\nProblemas ao tentar abrir arquivo!\n");
		exit(1);
	}
	// Abertura do arquivo foi bem-sucedida
	else {
		printf("\n<ALUNOS LP - INFO 2010>\n\n");
		// Movimenta ponteiro do arquivo para o início
		fseek(fp, 0, SEEK_SET);
		while(fgets(str, 80 ,fp) != NULL) {
			printf("%s", str);
		}
	}

	close(fp);
	printf("\n\n");
	return 0;
}

/*
	NOVAS FUNÇÕES - fseek()
	
	-> Utilizado para reposicionar o ponteiro de arquivo para a linha desejada
	
	Protótipo:	int fseek(FILE *fp, long numbytes, int origem);

	-> Encontra-se na biblioteca <stdio.h>

	ORIGEM:
		Início do arquivo	-	SEEK_SET
		Posição Atual		-	SEEK_CUR
		Final do Arquivo	-	SEEK_END

*/

